package pl.afizyka.oknodialogoweniestandardowe

import androidx.appcompat.app.AlertDialog
import android.os.Bundle
import android.widget.Button
import android.widget.TextView
import androidx.appcompat.app.AppCompatActivity

class MainActivity : AppCompatActivity() {
    var licznik=0
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)
        //zliczaj klikniecia
        val bt1=findViewById<Button>(R.id.button1)
        bt1.setOnClickListener{
            licznik=Licznik(licznik)
            val tv=findViewById<TextView>(R.id.textView)
            tv.setText("Licznik kliknięć: "+licznik)
        }
        //obsługa klawisza pokaz komunikat wersja 1
        val bt2=findViewById<Button>(R.id.button2)
        bt2.setOnClickListener{
            Komunikat(R.layout.okno_dialogowe_wersja_1)
        }
        //obsługa klawisza pokaz komunikat wersja 2
        val bt3=findViewById<Button>(R.id.button3)
        bt3.setOnClickListener{
            Komunikat(R.layout.okno_dialogowe_wersja_2)
        }
    }
    private fun Zamknij(){
        this.finish()
        System.exit(0)
    }

    private fun Licznik(i:Int):Int{
        return i+1
    }

    private fun Komunikat(idUklad:Int){
        val BudowaOknaAlertu=AlertDialog.Builder(this,R.style.UstawieniaAlertDialog)
        BudowaOknaAlertu.setTitle("TYTUŁ OKNA")
        val widok=layoutInflater.inflate(idUklad,null)
        //ustaw niestandardowy styl układu
        BudowaOknaAlertu.setView(widok)
        //wyłącz zamknięcie okna przez klikniecie w dowolne miejsce ekranu
        BudowaOknaAlertu.setCancelable(false)
        //wyslij tekst komunikatu
        val tv=widok.findViewById<TextView>(R.id.textView2)
        tv.setText("Licznik kliknięć: "+licznik)
        //utwórz zmodyfikowane okno dialogowe alertu
        val oknoAlertu=BudowaOknaAlertu.create()
        //obsłuz klawisz zamykania okna dialogowego
        val btZamknijOkno=widok.findViewById<Button>(R.id.button5)
        btZamknijOkno.setOnClickListener{
                //zamknij tylko okno dialogowe
                oknoAlertu.cancel()
            }
        //obsłuz klawisz zamykania całej aplikacji
        val btZakonczAplikacje=widok.findViewById<Button>(R.id.button6)
        btZakonczAplikacje.setOnClickListener{
             Zamknij()
            }
        oknoAlertu.show();
    }

}